<template>
	<ion-page>
		<ion-header>			
			<ion-toolbar class="d-flex ion-align-items-center ion-justify-content-center">
				<ion-buttons slot="start" v-if="$router.currentRoute._value.href !== '/'">
					<ion-back-button :default-href="defaultBackLink"></ion-back-button>
				</ion-buttons>
				<ion-title>{{ pageTitle }}</ion-title>
			</ion-toolbar>
		</ion-header>
		<ion-content>
			<slot />
		</ion-content>
	</ion-page>
</template>

<script>
import { 
	IonPage, 
	IonHeader, 
	IonToolbar, 
	IonTitle, 
	IonContent,
	IonBackButton,
	IonButtons,
} from '@ionic/vue';

export default {
	props: ['pageTitle', 'defaultBackLink'],
	components: {
		IonPage,
		IonHeader,
		IonToolbar,
		IonTitle,
		IonContent,
		IonBackButton,
		IonButtons,
	},	
}
</script>